(provide 'semantics)

(eval-when (compile) (error "you're not supposed to compile this file!"))

(require 'earley "./earley.lisp")

(require 'match-allowing-extras "./match-allowing-extras.lisp")

(require 'interpreter "./interpreter.lisp")

(defvar *semantics-files* '("interpreter" "match-allowing-extras"))

(defvar *semantics-directory* ".")

(defun compile-semantics ()
  (mapc #'(lambda (file)
            (let ((file-with-dir
                   (concatenate 'string *semantics-directory* file)))
               (format t "~%compiling ~a..." file-with-dir)
              (compile-file file-with-dir)
              ;; (load file-with-dir)
              ))
        *semantics-files*)
  (format t "~%compilation successful~%"))

(verbose)

(init-syntax)

(defun my-top-level ()
  (declare (special *show-syntax?*))
  (declare (special *show-semantics?*))
  (declare (ignore semantics))
  (db-clear)
  (loop
    (format t "~&ready> ")
    (let ((sent (read-line)))
      (cond ((eq (length sent) 0) 1)  ;; Skip it if the line is empty
            ((eq (aref sent 0) #\( )
             (format t "~&= ~a" (eval (read-from-string sent))))
            (t (let ((parse (car (p sent))))
                 (if *show-syntax?* (format t "~1% syntax: ~a" parse))
                 (phrase-semantics parse)))))))

(my-top-level)


(exit)
