
;===== verbs ==================================================================

(add-word-semantics 'are 'be-verb
  '(lambda (agent patient) `(be-verb :agent ,agent :patient ,patient)))

(add-word-semantics 'is 'be-verb
  '(lambda (agent patient) `(be-verb :agent ,agent :patient ,patient)))

(add-word-semantics 'am 'be-verb
  '(lambda (agent patient) `(be-verb :agent ,agent :patient ,patient)))

(defun add-verbs (word1 word2 word3 word4)
  (add-word-semantics word1 word1 word1)
  (add-word-semantics word2 word1 word1)
  (add-word-semantics word3 word1 word1)
  (add-word-semantics word4 word1 word1)
  )

(add-verbs 'clear     'clears     'cleared     'clearing)
(add-verbs 'cancel    'cancels    'cancelled   'canceling)
(add-verbs 'change    'changes    'changed     'changing)
(add-verbs 'checkin   'NO-MATCH   'NO-MATCH    'NO-MATCH)
(add-verbs 'check-in  'NO-MATCH   'NO-MATCH    'NO-MATCH)
(add-verbs 'clear     'clears     'cleared     'clearing)
(add-verbs 'climb     'climbs     'climbed     'climbing)
(add-verbs 'contact   'contacts   'contacted   'contacting)
(add-verbs 'continue  'continues  'continued   'continuing)
(add-verbs 'cross     'crosses    'crossed     'crossing)
(add-verbs 'descend   'descends   'descended   'descending)
(add-verbs 'encounter 'encounters 'encountered 'encountering)
(add-verbs 'exit      'exits      'exited      'exiting)
(add-verbs 'expect    'expects    'expected    'expecting)
(add-verbs 'fall      'falls      'fell        'falling)
(add-verbs 'follow    'follows    'followed    'following)
(add-verbs 'get       'gets       'got         'getting)
(add-verbs 'give      'gives      'gave        'giving)
(add-verbs 'go        'goes       'went        'going)
(add-verbs 'have      'has        'had         'having)
(add-verbs 'hold      'holds      'held        'holding)
(add-verbs 'intercept 'intercepts 'intercepted 'intercepting)
(add-verbs 'land      'lands      'landed      'landing)
(add-verbs 'maintain  'maintains  'maintained  'maintaining)
(add-verbs 'monitor   'monitors   'monitored   'monitoring)
(add-verbs 'move      'moves      'moved       'moving)
(add-verbs 'need      'needs      'needed      'needing)
(add-verbs 'position  'positions  'positioned  'positioning)
(add-verbs 'remain    'remains    'remained    'remaining)
(add-verbs 'see       'sees       'saw         'seeing)
(add-verbs 'takeoff   'NO-MATCH   'NO-MATCH    'NO-MATCH)
(add-verbs 'take-off  'NO-MATCH   'NO-MATCH    'NO-MATCH)
(add-verbs 'turn      'turns      'turned      'turning)
(add-verbs 'want      'wants      'wanted      'wanting)

(add-word-semantics 'going 'going 'going)

;===== words ==================================================================

(defun add-words (words)
  (dolist (word words)
    (add-word-semantics word word word)
  ))

(add-words '(
  after ahead altimeter am and are as at before behind can
  degree departure direct directly do down
  for foot frequency from front ground heading here
  i in into is knot landing left let minute number o^clock of on onto
  plan ramp right runway short soon spacing speed straight
  taxi taxiway that the then this to tower traffic
  under until via way what you your
  ))

(add-word-semantics 'feet     'foot    'foot   )
(add-word-semantics 'degrees  'degree  'degree )
(add-word-semantics 'knots    'knot    'knot   )
(add-word-semantics 'minutes  'minute  'minute )
(add-word-semantics 'plans    'plan    'plan   )

;===== airplane names =========================================================

(add-word-semantics 'alaska      'plane 'alaska     )
(add-word-semantics 'boeing      'plane 'boeing     )
(add-word-semantics 'cessna      'plane 'cessna     )
(add-word-semantics 'continental 'plane 'continental)
(add-word-semantics 'horizon     'plane 'horizon    )
(add-word-semantics 'katana      'plane 'katana     )
(add-word-semantics 'united      'plane 'united     )

;===== pronouns ===============================================================

(add-word-semantics 'i    'pronoun 'i)
(add-word-semantics 'you  'pronoun 'you)
(add-word-semantics 'he   'pronoun 'he)
(add-word-semantics 'she  'pronoun 'she)
(add-word-semantics 'we   'pronoun 'we)
(add-word-semantics 'they 'pronoun 'they)
(add-word-semantics 'this 'pronoun 'this)
(add-word-semantics 'that 'pronoun 'that)

;===== numbers ================================================================

(defun add-number (english numinput number)
  (add-word-semantics english  'some-number number)
  (add-word-semantics numinput 'some-number number)
  )

(add-number 'zero         '$0  '0 )
(add-number 'one          '$1  '1 )
(add-number 'two          '$2  '2 )
(add-number 'three        '$3  '3 )
(add-number 'four         '$4  '4 )
(add-number 'five         '$5  '5 )
(add-number 'six          '$6  '6 )
(add-number 'seven        '$7  '7 )
(add-number 'eight        '$8  '8 )
(add-number 'nine         '$9  '9 )
(add-number 'niner        '$9  '9 )
(add-number 'ten          '$10 '10)
(add-number 'oneone       '$11 '11)
(add-number 'onetwo       '$12 '12)
(add-number 'onethree     '$13 '13)
(add-number 'onefour      '$14 '14)
(add-number 'onefive      '$15 '15)
(add-number 'onesix       '$16 '16)
(add-number 'oneseven     '$17 '17)
(add-number 'oneeight     '$18 '18)
(add-number 'oneniner     '$19 '19)
(add-number 'twozero      '$20 '20)
(add-number 'twoone       '$21 '21)
(add-number 'twotwo       '$22 '22)
(add-number 'twothree     '$23 '23)
(add-number 'twofour      '$24 '24)
(add-number 'twofive      '$25 '25)
(add-number 'twosix       '$26 '26)
(add-number 'twoseven     '$27 '27)
(add-number 'twoeight     '$28 '28)
(add-number 'twoniner     '$29 '29)
(add-number 'threezero    '$30 '30)
(add-number 'threeone     '$31 '31)
(add-number 'threetwo     '$32 '32)
(add-number 'threethree   '$33 '33)
(add-number 'threefour    '$34 '34)
(add-number 'threefive    '$35 '35)
(add-number 'threesix     '$36 '36)

;===== letters ================================================================

(add-word-semantics 'alpha    'letter 'alpha)
(add-word-semantics 'bravo    'letter 'bravo)
(add-word-semantics 'charlie  'letter 'charlie)
(add-word-semantics 'delta    'letter 'delta)
(add-word-semantics 'echo     'letter 'echo)
(add-word-semantics 'foxtrot  'letter 'foxtrot)
(add-word-semantics 'golf     'letter 'golf)
(add-word-semantics 'hotel    'letter 'hotel)
(add-word-semantics 'india    'letter 'india)
(add-word-semantics 'juliet   'letter 'juliet)
(add-word-semantics 'kilo     'letter 'kilo)
(add-word-semantics 'lima     'letter 'lima)
(add-word-semantics 'mike     'letter 'mike)
(add-word-semantics 'november 'letter 'november)
(add-word-semantics 'oscar    'letter 'oscar)
(add-word-semantics 'papa     'letter 'papa)
(add-word-semantics 'quebec   'letter 'quebec)
(add-word-semantics 'romeo    'letter 'romeo)
(add-word-semantics 'sierra   'letter 'sierra)
(add-word-semantics 'tango    'letter 'tango)
(add-word-semantics 'uniform  'letter 'uniform)
(add-word-semantics 'victor   'letter 'victor)
(add-word-semantics 'whiskey  'letter 'whiskey)
(add-word-semantics 'x-ray    'letter 'x-ray)
(add-word-semantics 'yankee   'letter 'yankee)
(add-word-semantics 'zulu     'letter 'zulu)

;===== determiners ============================================================

(add-word-semantics 'the  'det t)
(add-word-semantics 'this 'det t)
(add-word-semantics 'that 'det t)
(add-word-semantics 'a    'det nil)
(add-word-semantics 'an   'det nil)

;==============================================================================
